Package org.bukkit.plugin

# Enum Class ServicePriority

java.lang.Object
java.lang.Enum<ServicePriority>
org.bukkit.plugin.ServicePriority

All Implemented Interfaces:
  `Serializable`, `Comparable<ServicePriority>`, `Constable`

public enum ServicePriority extends Enum<ServicePriority>
Represents various priorities of a provider.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`High`
`Highest`
`Low`
`Lowest`
`Normal`

## Method Summary

Modifier and Type
Method
Description
`static ServicePriority`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServicePriority[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Lowest

public static final ServicePriority Lowest

### Low

public static final ServicePriority Low

### Normal

public static final ServicePriority Normal

### High

public static final ServicePriority High

### Highest

public static final ServicePriority Highest

## Method Details

### values

public static ServicePriority[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ServicePriority valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null